Subject: Re: [PATCH 2/3] powerpc/pci: move pci_64.c device tree scanning code into pci-common.c

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 21 Aug 2009 16:05:29 +1000

On Thu, 2009-08-20 at 23:30 -0600, Grant Likely wrote:
> From: Grant Likely <[email-masked]>
> 
> The PCI device tree scanning code in pci_64.c is some useful functionality.
> It allows PCI devices to be described in the device tree instead of being
> probed for, which in turn allows pci devices to use all of the device tree
> facilities to describe complex PCI bus architectures like GPIO and IRQ
> routing (perhaps not a common situation for desktop or server systems,
> but useful for embedded systems with on-board PCI devices).
> 
> This patch moves the device tree scanning into pci-common.c so it is
> available for 32-bit powerpc machines too.

I'd rather move it into a separate pci-of-scan.c file so we can more
easily try to move it to drivers/of or drivers/pci for use by other
archs later on.

Ben.